/* libcfg.h (template) */

/* Define or undefine as appropriate. */

#ifndef SIDPLAY1_LIBCFG_H
#define SIDPLAY1_LIBCFG_H

/* This is used to define the file/path separator(s) below. */
#define FS_IS_COLON_AND_BACKSLASH

/* --------------------------------------------------------------------------
 * Hardware-specific speed optimizations.
 * Check here for things you can configure.
 * --------------------------------------------------------------------------
 *
 * Caution: This may not work on every hardware and therefore can result in
 * trouble. Some hardware-specific speed optimizations use a union to access
 * integer fixpoint operands in memory. An assumption is made about the
 * hardware and software architecture and therefore is considered a hack!
 * But try it in need for speed. You will notice if it doesn't work ;)
 *
 * This option is highly used and tested. A failing little endian system
 * has not been reported so far.  */
#define DIRECT_FIXPOINT

/* This will cause little(big) endian machines to directly access little(big)
 * endian values in memory structures or arrays, disregarding alignment.  */
#define IS_LITTLE_ENDIAN 1
#define SID_WORDS_LITTLEENDIAN 1

/* --------------------------------------------------------------------------
 * Don't touch these!
 * --------------------------------------------------------------------------
 */
#undef SID_NO_STDIN_LOADER
#define SIDEMU_TIME_COUNT
#undef SID_REFTIMES
#undef LARGE_NOISE_TABLE
#undef PORTABLE_FIXPOINT
#undef NO_RTS_UPON_BRK
#undef SIDTUNE_REJECT_UNKNOWN_FIELDS

/* Do filter calculations at floating-point precision.  */
#define SID_FPUFILTER

/* Do initialization of mixing tables at floating-point precision.  */
#define SID_FPUMIXERINIT

/* Do envelope calculations at floating-point precision. High-end FPU is
 * strongly recommended. Otherwise this may not be faster. Forget about
 * the Pentium FPU.  */
#undef SID_FPUENVE

#endif  /* SIDPLAY1_LIBCFG_H */
